using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using skyscraper5.Skyscraper.Gps;
using skyscraper5.Skyscraper.Plugins;

namespace skyscraper5.NmeaSharpWrapper
{
	[SkyscraperPlugin]
	[PluginPriority(1)]
	public class GpsdClientFactory : IGpsReceiverFactory
	{
		public string Hostname { get; set; }
		public ushort Port { get; set; }

		public IGpsReceiver CreateGpsReceiver()
		{
			return new GpsdClient(Hostname, Port);
		}
	}
}
